Bug 238907 - lang/cint: Fails to build with GCC 9
Summary: lang/cint: Fails to build with GCC 9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-01 08:09 UTC by Tobias Kortkamp
Modified: 2019-07-17 04:16 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (fjoe)
koobs: merge-quarterly?


Attachments
cint-5.18.00_12.log (266.28 KB, text/plain)
2019-07-01 08:10 UTC, Tobias Kortkamp
no flags Details
cint.diff (885 bytes, patch)
2019-07-01 10:11 UTC, Tobias Kortkamp
tobik: maintainer-approval? (fjoe)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2019-07-01 08:09:32 UTC
Some things do not appear to be built as it fails in the packaging phase with:
=======================<phase: package        >============================
===>  Building package for cint-5.18.00_12
pkg-static: Unable to access file /wrkdirs/usr/ports/lang/cint/work/stage/usr/local/lib/cint/stl/list.dll:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/lang/cint/work/stage/usr/local/lib/cint/stl/map.dll:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/lang/cint/work/stage/usr/local/lib/cint/stl/map2.dll:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/lang/cint/work/stage/usr/local/lib/cint/stl/multimap.dll:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/lang/cint/work/stage/usr/local/lib/cint/stl/multimap2.dll:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/lang/cint/work/stage/usr/local/lib/cint/stl/multiset.dll:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/lang/cint/work/stage/usr/local/lib/cint/stl/set.dll:No such file or directory
*** Error code 1

http://pb2.nyi.freebsd.org/data/120i386-default-PR238330/2019-06-09_20h27m22s/logs/errors/cint-5.18.00_12.log
Comment 1 Tobias Kortkamp freebsd_committer 2019-07-01 08:10:04 UTC
Created attachment 205448 [details]
cint-5.18.00_12.log
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-07-01 08:30:16 UTC
Any fix for this is a blanket approved candidate:

Approved by: portmgr (blanket: build fix)
Comment 3 Tobias Kortkamp freebsd_committer 2019-07-01 10:11:45 UTC
Created attachment 205452 [details]
cint.diff

In the absence of a better solution, lock the build to GCC 8.  Also put
an expiration date on it since it seems to have been superseded by the
LLVM-based lang/cling.
Comment 4 Tobias Kortkamp freebsd_committer 2019-07-03 07:16:11 UTC
No longer blocks bug #238330. Deprecation should still happen though.
Comment 5 commit-hook freebsd_committer 2019-07-03 07:16:51 UTC
A commit references this bug:

Author: tobik
Date: Wed Jul  3 07:16:04 UTC 2019
New revision: 505728
URL: https://svnweb.freebsd.org/changeset/ports/505728

Log:
  lang/cint: Unbreak build with GCC 9

  G__cpp_list.cxx: In function 'int G__list_49_0_10(G__value*, const char*, G__param*, int)':
  G__cpp_list.cxx:707:109: error: 'std::__cxx11::list<int, std::allocator<int> >::iterator' {aka 'struct std::_List_iterator<int>'} has no member named 'operator=='; did you mean 'operator='?
    707 |       G__letint(result7, 103, (long) ((list<int,allocator<int> >::iterator*) G__getstructoffset())->operator==(*(list<int,allocator<int> >::iterator*) libp->para[0].ref));
        |                                                                                                             ^~
        |                                                                                                             operator=
  G__cpp_list.cxx: In function 'int G__list_49_0_11(G__value*, const char*, G__param*, int)':
  G__cpp_list.cxx:713:109: error: 'std::__cxx11::list<int, std::allocator<int> >::iterator' {aka 'struct std::_List_iterator<int>'} has no member named 'operator!='; did you mean 'operator='?
    713 |       G__letint(result7, 103, (long) ((list<int,allocator<int> >::iterator*) G__getstructoffset())->operator!=(*(list<int,allocator<int> >::iterator*) libp->para[0].ref));
        |                                                                                                             ^~
        |                                                                                                             operator=

  http://pb2.nyi.freebsd.org/data/120i386-default-PR238330/2019-06-09_20h27m22s/logs/errors/cint-5.18.00_12.log

  While here make the build abort fast on build errors instead of
  carrying on like nothing happened.

  PR:		238907
  Reported by:	antoine (via exp-run in PR 238330)

Changes:
  head/lang/cint/Makefile
  head/lang/cint/files/patch-cint_lib_prec__stl_list
  head/lang/cint/files/patch-cint_lib_prec__stl_map
  head/lang/cint/files/patch-cint_lib_prec__stl_multimap
  head/lang/cint/files/patch-cint_lib_prec__stl_multiset
  head/lang/cint/files/patch-cint_lib_prec__stl_set
Comment 6 commit-hook freebsd_committer 2019-07-17 04:16:02 UTC
A commit references this bug:

Author: tobik
Date: Wed Jul 17 04:15:10 UTC 2019
New revision: 506789
URL: https://svnweb.freebsd.org/changeset/ports/506789

Log:
  Deprecate lang/cint

  Development has stopped many years ago in favor of the LLVM-based
  lang/cling.

  PR:		238907
  Approved by:	fjoe (maintainer timeout, 2 weeks)

Changes:
  head/lang/cint/Makefile